Summary: openhpi Hardware Platform Interface (HPI) library and tools
Name: openhpi
Version: 2.0.3
Release: 2
License: BSD
Group: System Environment/Base
Source: http://prdownloads.sourceforge.net/openhpi/%{name}-%{version}.tar.gz
Patch1: openhpi-1.9.2-rebuild.patch
Patch2: openhpi-1.9.2-overflow.patch
Patch3: openhpi-1.9.2-werror.patch
Patch4: openhpi-2.0.3-gcc4.patch
BuildRoot: /var/tmp/%{name}-root
BuildRequires: sysfsutils-devel, net-snmp-devel, OpenIPMI-devel, elfutils-devel, rpm-devel
ExcludeArch: ia64

%description
OpenHPI is an open source project created with the intent of providing an
implementation of the SA Forum's Hardware Platform Interface (HPI). HPI
provides an abstracted interface to managing computer hardware, typically for
chassis and rack based servers. HPI includes resource modeling; access to and
control over sensor, control, watchdog, and inventory data associated with
resources; abstracted System Event Log interfaces; hardware events and alerts;
and a managed hotswap interface.

OpenHPI provides a modular mechanism for adding new hardware and device support
easily. Many plugins exist in the OpenHPI source tree to provide access to
various types of hardware. This includes, but is not limited to, IPMI based
servers, Blade Center, and machines which export data via sysfs.

%package devel
Group: Development/Libraries
Summary: The development environment for the openhpi project.
Requires: %{name} = %{version}

%description devel
The openhpi-devel package contains the development libraries and header files
of the openhpi project.

%prep
%setup -q
%patch1 -p1 -b .rebuild
%patch2 -p1 -b .overflow
%patch3 -p1 -b .werror
%patch4 -p1 -b .gcc4

%build
%configure --disable-dummy --disable-ipmi
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT/%{_libdir}/openhpi/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_bindir}/*
%{_libdir}/openhpi

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/openhpi
%{_includedir}/hpi_cmd.h
%{_libdir}/pkgconfig/*


%changelog
* Wed Mar 30 2005 Phil Knirsch <pknirsch@redhat.com> 2.0.3-1
- Moved the pkgconfig files to the devel package (#152507)
- Update to openhpi-2.0.3
- Had to manually disable ipmi support for now until openhpi builds correctly
  against it again
- Dropped net-snmp-config patch, not needed anymore

* Thu Mar 17 2005 Phil Knirsch <pknirsch@redhat.com> 1.9.2-5
- Fixed gcc4 rebuild problems

* Wed Mar 02 2005 Phil Knirsch <pknirsch@redhat.com> 1.9.2-4
- bump release and rebuild with gcc 4

* Mon Feb 14 2005 Phil Knirsch <pknirsch@redhat.com> 1.9.2-3
- Rebuilt for new rpm-4.4

* Mon Dec 20 2004 Phil Knirsch <pknirsch@redhat.com> 1.9.2-2
- Fixed overflow in plugins/sysfs/sysfs2hpi.c
- Fixed rebuild problem with latest net-snmp
- Removed is_simulator patch, not needed anymore

* Fri Nov 26 2004 Florian La Roche <laroche@redhat.com> 1.9.2-1
- update to 1.9.2

* Tue Nov 02 2004 Phil Knirsch <pknirsch@redhat.com> 1.9.1-1
- Added proper BuildRequires
- Drop ia64 for first build, something fishy with the compiler and warning.

* Tue Oct 26 2004 Phil Knirsch <pknirsch@redhat.com>
- Initial version
- Disable dummy plugin, doesn't compile
- Fix missing () in snmp_bc_session.c
